Name:		qloud
Version:	0.23
Release:	%mkrel 1
License:	GPLv2+
URL:		http://gaydenko.com/qloud/
Group:		Sound
Summary:	tool to measure loudspeaker frequency and step responses and distortions
Source:		http://gaydenko.com/qloud/download/%{name}-%{version}.tar.bz2
Source1:	qloud.png
Patch0:         qloud-qwt-link.patch
Patch1:		qloud-0.23-mageia-qwt-path.patch
BuildRequires:	fftw-devel
BuildRequires:	glibc-devel
BuildRequires:	libjack-devel
BuildRequires:	libgcc
BuildRequires:	libstdc++-devel
BuildRequires:	qt4-devel
BuildRequires:	libqwt-devel

%description
QLoud is a tool to measure a loudspeaker frequency response and distortions.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p0

%build
qmake
%make

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 bin/qloud %{buildroot}%{_bindir}/qloud

install -m644 %{SOURCE1} -D %{buildroot}%{_iconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Qloud
Comment=loudspeaker measuring tool
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;Audio;
EOF


%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/%{name}.png

%clean



%changelog

* Tue Jan 24 2012 zezinho <zezinho> 0.23-1.mga2
+ Revision: 200584
- patch to use new qwt devel paths
- imported package qloud


* Tue Jan 11 2011 Karsten Brockmann <arcam@ccux-linux.de> 0.23-1
- Version update
* Tue Jul 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.22-1
- initial CCux package release
